import React, { useEffect, useState } from 'react'
import { Button, Tabs } from 'antd'
import router from 'umi/router'
import { fetch, apis } from '@/utils/request'
import Profile from './components/Profile'
import PointList from './components/PointList'

const buildingDetails = fetch(apis.buildingOwnerInfo.buildingDetails)

export default props => {
  const [userData, setUserData] = useState({})
  
  const { id } = props.location.query

  useEffect(() => {
    buildingDetails({ data: { id } }).then(res => {
      const { taUser = {}, taUserVerify = {}, roomInfoList = [] } = res || {}
      setUserData({
        id,
        name: taUser.name,
        gender: taUser.gender,
        phone : taUser.phone,
        nickname : taUser.nickname,
        openid: taUser.openid,
        personId: taUserVerify.personId,
        idCard: taUserVerify.idCard,
        avatarurl: taUser.avatarurl,
        ownerName: taUserVerify.ownerName,
        verifyStatus: taUserVerify.verifyStatus + '',
        status: taUserVerify.verifyStatus + '',
        faceImg: taUserVerify.faceImg,
        roomNoName: taUserVerify.roomNoName,
        roomInfoList : roomInfoList,
        roleId: taUserVerify.roleId + '',
        phaseName: taUserVerify.phaseName,
        unitName: taUserVerify.unitName,
        buildingName: taUserVerify.buildingName,
        levelName: taUserVerify.levelName,
        totalPoints: taUserVerify.totalPoints,
      })
    })
  }, [id])

  return (
    <div>
      <Tabs defaultActiveKey="1">
        <Tabs.TabPane tab="详情" key="1"><Profile userData={userData} /></Tabs.TabPane>
        <Tabs.TabPane tab="积分" key="2"><PointList userData={userData} /></Tabs.TabPane>
      </Tabs>
      
    </div>
  )
}
