
const moduleName = 'buildingInfo'

export default prefix => {
  return {
    getTrees: {
      url: `${prefix}/${moduleName}/trees`,
      method: 'get',
      action: `admin.${moduleName}.trees`
    },

    //  查询 楼栋/单元/楼层/户号
    getPhaseList: {
      url: `${prefix}/${moduleName}/phase`,
      method: 'get',
      action: `admin.${moduleName}.phase`
    },

    //  查询 楼栋/单元/楼层/户号
    getBuildingList: {  
      url: `${prefix}/${moduleName}/building`,
      method: 'get',
      action: `admin.${moduleName}.building`
    },

    //  查询 楼栋/单元/楼层/户号
    getUnitList: {  
      url: `${prefix}/${moduleName}/unit`,
      method: 'get',
      action: `admin.${moduleName}.unit`
    },

    //  查询 楼栋/单元/楼层/户号
    getLevelList: {
      url: `${prefix}/${moduleName}/level`,
      method: 'get',
      action: `admin.${moduleName}.level`
    },

    //  查询 楼栋/单元/楼层/户号
    getRoomNoList: {
      url: `${prefix}/${moduleName}/roomno`,
      method: 'get',
      action: `admin.${moduleName}.roomno`
    },

    //  查询 楼栋/单元/楼层/户号
    getAllRoomNoList: {
      url: `${prefix}/${moduleName}/building-room/list`,
      method: 'get',
      action: `admin.${moduleName}.all-room`
    },

    // 获取楼栋户主信息列表
    buildingList: {
      url: `${prefix}/${moduleName}/list`,
      method: 'post',
      action: `admin.${moduleName}.list.post`
    },

    // 导出楼栋户主信息列表
    buildingListExport: {
      url: `${prefix}/${moduleName}/list/export`,
      method: 'post',
      action: `admin.${moduleName}.list-export.post`
    },

    // 认证通过户主信息
    userPassCertification: {
      url: `${prefix}/${moduleName}/userPassCertification`,
      method: 'post',
      action: `admin.${moduleName}.userPassCertification.post`
    },

    // 修改停用或启用
    updataPassCertification: {  
      url: `${prefix}/${moduleName}/updataPassCertification`,
      method: 'post',
      action: `admin.${moduleName}.updataPassCertification.post`
    },

    // 批量删除 楼栋户主信息
    deleteBuilding: {
      url: `${prefix}/${moduleName}/delete`,
      method: 'delete',
      action: `admin.${moduleName}.delete`
    },

    // 添加楼栋户主信息
    addBuilding: {
      url: `${prefix}/${moduleName}/add`,
      method: 'post',
      action: `admin.${moduleName}.add`
    },

    // 修改楼栋户主信息
    updateBuilding: {
      url: `${prefix}/${moduleName}/update`,
      method: 'put',
      action: `admin.${moduleName}.update`
    },

    // 根据楼栋信息 id 查询
    getByIdBuildingId: {
      url: `${prefix}/${moduleName}/verify/:id`,
      method: 'get',
      action: `admin.${moduleName}.verify`
    },
    
    // 获取楼栋户主信息列表
    communityBuildinglist: {
      url: `${prefix}/${moduleName}/buildinglist`,
      method: 'post',
      action: `admin.${moduleName}.buildinglist`
    },
    
    // 查询小区楼栋资料库
    buildingHouse: {
      url: `${prefix}/${moduleName}/buildinghouse`,
      method: 'post',
      action: `admin.${moduleName}.buildinghouse`
    },

    // 查询小区楼栋资料库
    communityBuildingAdd: {
      url: `${prefix}/${moduleName}/communitybuilding/update`,
      method: 'post',
      action: `admin.${moduleName}.communitybuilding.update`
    },

    // 下载excel模板
    buildingDownloadExcel: {
      url: `${prefix}/${moduleName}/downloadExcel`,
      method: 'get',
      action: `admin.${moduleName}.downloadExcel.update`
    },

    // 添加当前期/栋/单元/层/户/节点
    addNode: {
      url: `${prefix}/${moduleName}/addnode`,
      method: 'post',
      action: `admin.${moduleName}.addnode`
    },

    // 编辑当前期/栋/单元/层/户/节点
    updateNode: {
      url: `${prefix}/${moduleName}/updatenode`,
      method: 'post',
      action: `admin.${moduleName}.updatenode`
    },

    // 删除当前期/栋/单元/层/户/节点
    deleteNode: {
      url: `${prefix}/${moduleName}/deletenode`,
      method: 'post',
      action: `admin.${moduleName}.deletenode`
    },

    // 查新楼栋信息详情
    buildingDetails: {
      url: `${prefix}/${moduleName}/details`,
      method: 'post',
      action: `admin.${moduleName}.details`
    },

    // 楼栋详情审核用户
    verifyinfoAdd: {
      url: `${prefix}/${moduleName}/user/verifyinfo/:id`,
      method: 'put',
      action: `admin.${moduleName}.user.verifyinfo`
    },

    //
    uploadBuildingExcel: {
      url: `${prefix}/${moduleName}/uploadExcel`,
      method: 'post',
      action: `admin.${moduleName}.building.uploadExcel`
    },

    submitBuildingExcel: {
      url: `${prefix}/${moduleName}/submitExcel`,
      method: 'post',
      action: `admin.${moduleName}.building.submitExcel`
    },

    uploadBuildingTreeExcel: {
      url: `${prefix}/${moduleName}/tree/uploadExcel`,
      method: 'post',
      action: `admin.${moduleName}.tree.uploadExcel`
    },

    submitBuildingTreeExcel: {
      url: `${prefix}/${moduleName}/tree/submitExcel`,
      method: 'post',
      action: `admin.${moduleName}.tree.submitExcel`
    }

  }
}
